# norootforbuild

%define _prefix /usr

%if %suse_version >= 1010
%define _name		php5-pear-net_lmtp
%define _phpdir	php5
%define _phpbin   %{_bindir}/php5
%define _peardir	PEAR
%define _pear		pear5
%else
%define _name		php4-pear-net_lmtp
%define _phpdir	php
%define _phpbin   %{_bindir}/php
%define _peardir	/
%define _pear		pear
%endif

# otherwise build fail on > 1010 due to /tmp files
# and --packageroot is the correct way but does not
# work on 10.1 (pear error..)
%if %suse_version > 1010
%define _packorinst --packagingroot
%else
%define _packorinst --installroot
%endif

Name:				%{_name}
Version:			1.0.1
Release:			1.3
Summary:			Provides an implementation of the RFC2033 LMTP protocol
License:			PHP License
Group:			Productivity/Networking/Web/Servers
Url:				http://pear.php.net/package/Net_LMTP/
Source0:			http://pear.php.net/get/Net_LMTP-%{version}.tgz
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Packager:		Marcus Hüwe <suse-tux@gmx.de>

%if %suse_version >= 1010
Requires:		php5-pear
Requires:		php5-pear-net_socket
BuildRequires:	php5
BuildRequires:	php5-pear
%else
Requires:		php4-pear
Requires:		php4-pear-net_socket
BuildRequires:	php4
BuildRequires:	php4-pear
%endif

%description
Provides an implementation of the RFC2033 LMTP protocol

Authors:
--------
	Damian Alejandro Fernandez Sosa 

%prep
%build

%install
PHP_PEAR_PHP_BIN="%{_phpbin} -d memory_limit=50m" %{_pear} -v install --nodeps %{_packorinst}=%{buildroot} %{SOURCE0}
%__rm -rf %{buildroot}%{_datadir}/%{_phpdir}/%{_peardir}/.{registry,filemap,lock,channels,depdb,depdblock}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_datadir}/%{_phpdir}/%{_peardir}/Net/LMTP.php
%{_datadir}/%{_phpdir}/%{_peardir}/test/Net_LMTP/test_lmtp.php

%changelog
* Thu Dec 07 2006 Marcus Hüwe <suse-tux@gmx.de>
- use --packagingroot instead of --installroot
* Sat Jun 10 2006 Marcus Hüwe <suse-tux@gmx.de>
- make spec file portable for other suse versions
- adapt name tag to suse's php-pear-naming-style
* Mon Apr 17 2006 Marcus Hüwe <suse-tux@gmx.de>
- rebuild on 10.1
* Tue Jan 24 2006 Marcus Hüwe <suse-tux@gmx.de>
- initial build
